"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.base64 = exports.unlink = exports.write = exports.read = void 0;
const tslib_1 = require("tslib");
const mime_1 = tslib_1.__importDefault(require("mime"));
const fs_1 = tslib_1.__importDefault(require("fs"));
const util_1 = tslib_1.__importDefault(require("util"));
exports.read = util_1.default.promisify(fs_1.default.readFile);
exports.write = util_1.default.promisify(fs_1.default.writeFile);
exports.unlink = util_1.default.promisify(fs_1.default.unlink);
function base64(file, name) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const mimetype = mime_1.default.getType(name) || '';
        const buffer = Buffer.from(file, 'binary');
        return `data:${mimetype};base64,${buffer.toString('base64')}`;
    });
}
exports.base64 = base64;
//# sourceMappingURL=utils.js.map